"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ModCallbackRepentogon = void 0;
/**
 * This enum is for REPENTOGON, an exe-hack which expands the modding API.
 *
 * @see https://repentogon.com/
 */
var ModCallbackRepentogon;
(function (ModCallbackRepentogon) {
    /**
     * A modified version of `ModCallback.POST_USE_PILL`. This callback provides a `PillColor`
     * parameter.
     *
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `PillEffect` provided.
     *
     * ```ts
     * function postUsePill(
     *   effect: PillEffect,
     *   player: EntityPlayer,
     *   flags: BitFlags<UseFlag>,
     *   color: PillColor
     * ): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_USE_PILL"] = 10] = "POST_USE_PILL";
    /**
     * A modified version of `ModCallback.ENTITY_TAKE_DMG`. This callback now allows an interface to
     * be returned to further modify how the entity takes damage.
     *
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `EntityType` provided.
     *
     * ```ts
     * function preEntityTakeDmg(
     *   entity: Entity,
     *   damage: number,
     *   damageFlags: BitFlags<DamageFlag>,
     *   source: EntityRef,
     *   damageCountdown: int
     * ):
     *   | boolean
     *   | {
     *       Damage?: number;
     *       DamageFlags?: BitFlags<DamageFlag>;
     *       DamageCountdown?: int;
     *     }
     *   | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_ENTITY_TAKE_DMG"] = 11] = "PRE_ENTITY_TAKE_DMG";
    /**
     * A modified version of `ModCallback.PRE_FAMILIAR_COLLISION`. This callback now allows an
     * interface to be returned to further modify the collision behavior.
     *
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `FamiliarVariant` provided.
     *
     * ```ts
     * function preFamiliarCollision(
     *   familiar: EntityFamiliar,
     *   collider: Entity,
     *   low: boolean
     * ): boolean | { Collide?: boolean, SkipCollisionEffects?: boolean } | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_FAMILIAR_COLLISION"] = 26] = "PRE_FAMILIAR_COLLISION";
    /**
     * A modified version of `ModCallback.PRE_NPC_COLLISION`. This callback now allows an interface to
     * be returned to further modify the collision behavior.
     *
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `EntityType` provided.
     *
     * ```ts
     * function preNPCCollision(
     *   npc: EntityNPC,
     *   collider: Entity,
     *   low: boolean
     * ): boolean | { Collide?: boolean, SkipCollisionEffects?: boolean } | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_NPC_COLLISION"] = 30] = "PRE_NPC_COLLISION";
    /**
     * A modified version of `ModCallback.PRE_PLAYER_COLLISION`. This callback now allows an interface
     * to be returned to further modify the collision behavior.
     *
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `PlayerVariant` provided.
     *
     * ```ts
     * function prePlayerCollision(
     *   player: EntityPlayer,
     *   collider: Entity,
     *   low: boolean
     * ): boolean | { Collide?: boolean, SkipCollisionEffects?: boolean } | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_PLAYER_COLLISION"] = 33] = "PRE_PLAYER_COLLISION";
    /**
     * A modified version of `ModCallback.POST_PICKUP_SELECTION`.
     *
     * You cannot filter this callback.
     *
     * ```ts
     * function postPickupSelection(
     *   pickup: EntityPickup,
     *   variant: PickupVariant,
     *   subType: int,
     *   requestedVariant: PickupVariant,
     *   requestedSubType: int,
     *   rng: RNG,
     * ): [pickupVariant: PickupVariant, subType: int, continueSelection: boolean] | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_PICKUP_SELECTION"] = 37] = "POST_PICKUP_SELECTION";
    /**
     * A modified version of `ModCallback.PRE_PICKUP_COLLISION`. This callback now allows an interface
     * to be returned to further modify the collision behavior.
     *
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `PickupVariant` provided.
     *
     * ```ts
     * function prePickupCollision(
     *   pickup: EntityPickup,
     *   collider: Entity,
     *   low: boolean
     * ): boolean | { Collide?: boolean, SkipCollisionEffects?: boolean } | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_PICKUP_COLLISION"] = 38] = "PRE_PICKUP_COLLISION";
    /**
     * A modified version of `ModCallback.PRE_TEAR_COLLISION`. This callback now allows an interface
     * to be returned to further modify the collision behavior.
     *
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `TearVariant` provided.
     *
     * ```ts
     * function preTearCollision(
     *   tear: EntityTear,
     *   collider: Entity,
     *   low: boolean
     * ): boolean | { Collide?: boolean, SkipCollisionEffects?: boolean } | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_TEAR_COLLISION"] = 42] = "PRE_TEAR_COLLISION";
    /**
     * A modified version of `ModCallback.PRE_PROJECTILE_COLLISION`. This callback now allows an
     * interface to be returned to further modify the collision behavior.
     *
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `ProjectileVariant` provided.
     *
     * ```ts
     * function preProjectileCollision(
     *   projectile: EntityProjectile,
     *   collider: Entity,
     *   low: boolean
     * ): boolean | { Collide?: boolean, SkipCollisionEffects?: boolean } | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_PROJECTILE_COLLISION"] = 46] = "PRE_PROJECTILE_COLLISION";
    /**
     * A modified version of `ModCallback.PRE_KNIFE_COLLISION`. This callback now allows an interface
     * to be returned to further modify the collision behavior.
     *
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `KnifeVariant` provided.
     *
     * ```ts
     * function preKnifeCollision(
     *   knife: EntityKnife,
     *   collider: Entity,
     *   low: boolean
     * ): boolean | { Collide?: boolean, SkipCollisionEffects?: boolean } | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_KNIFE_COLLISION"] = 53] = "PRE_KNIFE_COLLISION";
    /**
     * A modified version of `ModCallback.PRE_BOMB_COLLISION`. This callback now allows an interface
     * to be returned to further modify the collision behavior.
     *
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `BombVariant` provided.
     *
     * ```ts
     * function preBombCollision(
     *   bomb: EntityBomb,
     *   collider: Entity,
     *   low: boolean
     * ): boolean | { Collide?: boolean, SkipCollisionEffects?: boolean } | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_BOMB_COLLISION"] = 60] = "PRE_BOMB_COLLISION";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `CollectibleType` provided.
     *
     * ```ts
     * function preAddCollectible(
     *   collectible: CollectibleType,
     *   charge: int,
     *   firstTime: boolean,
     *   slot: ActiveSlot,
     *   varData: int,
     *   player: EntityPlayer,
     * ):
     *   | boolean
     *   | {
     *       Type?: CollectibleType;
     *       Charge?: int;
     *       FirstTime?: boolean;
     *       Slot?: ActiveSlot;
     *       VarData?: int;
     *       Player?: EntityPlayer;
     *     }
     *   | CollectibleType
     *   | undefined {}
     *   ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_ADD_COLLECTIBLE"] = 1004] = "PRE_ADD_COLLECTIBLE";
    /**
     * Use this over Isaacscript-Common's `ModCallbackCustom.POST_PLAYER_COLLECTIBLE_ADDED` callback
     * as this is a lot more optimized.
     *
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `CollectibleType` provided.
     *
     * ```ts
     * function postAddCollectible(
     *   collectible: CollectibleType,
     *   charge: int,
     *   firstTime: boolean,
     *   slot: ActiveSlot,
     *   varData: int,
     *   player: EntityPlayer,
     * ): void {}
     *   ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_ADD_COLLECTIBLE"] = 1005] = "POST_ADD_COLLECTIBLE";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `EntityType` provided.
     *
     * ```ts
     * function postEntityTakeDmg(
     *   entity: Entity,
     *   damage: number,
     *   flags: BitFlags<DamageFlag>
     *   source: EntityRef,
     *   damageCountdown: int
     * ): void {}
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_ENTITY_TAKE_DMG"] = 1006] = "POST_ENTITY_TAKE_DMG";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `PlayerVariant` provided.
     *
     * ```ts
     * function prePlayerRender(
     *   player: EntityPlayer,
     *   damage: number,
     *   flags: BitFlags<DamageFlag>
     *   source: EntityRef,
     *   damageCountdown: int
     * ): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_PLAYER_TAKE_DMG"] = 1008] = "PRE_PLAYER_TAKE_DMG";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `AddHealthTypeFlag` provided.
     *
     * ```ts
     * function prePlayerAddHearts(
     *   player: EntityPlayer,
     *   amount: int,
     *   addHealthTypeFlag: AddHealthTypeFlag,
     *   optionalArg: boolean
     * ): int | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_PLAYER_ADD_HEARTS"] = 1009] = "PRE_PLAYER_ADD_HEARTS";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `AddHealthTypeFlag` provided.
     *
     * ```ts
     * function postPlayerAddHearts(
     *   player: EntityPlayer,
     *   amount: int,
     *   addHealthTypeFlag: AddHealthTypeFlag,
     *   optionalArg: boolean
     * ): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_PLAYER_ADD_HEARTS"] = 1010] = "POST_PLAYER_ADD_HEARTS";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function postGridRockDestroy(
     *   rock: GridEntityRock,
     *   gridEntityType: GridEntityType,
     *   immediate: boolean
     * ): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_GRID_ROCK_DESTROY"] = 1011] = "POST_GRID_ROCK_DESTROY";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function preGridHurtDamage(
     *   gridEntity: GridEntity,
     *   entity: Entity,
     *   damageAmount: number,
     *   damageFlags: BitFlags<DamageFlag>,
     *   unknownFloat: float,
     *   unknownBoolean: boolean
     * ): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_GRID_HURT_DAMAGE"] = 1012] = "PRE_GRID_HURT_DAMAGE";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function postGridHurtDamage(
     *   gridEntity: GridEntity,
     *   entity: Entity,
     *   damageAmount: number,
     *   damageFlags: BitFlags<DamageFlag>,
     *   unknownFloat: number,
     *   unknownBoolean: boolean
     * ): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_GRID_HURT_DAMAGE"] = 1013] = "POST_GRID_HURT_DAMAGE";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function preHUDUpdate(): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_HUD_UPDATE"] = 1020] = "PRE_HUD_UPDATE";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function postHUDUpdate(): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_HUD_UPDATE"] = 1021] = "POST_HUD_UPDATE";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function preHUDRender(): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_HUD_RENDER"] = 1022] = "PRE_HUD_RENDER";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function postMainMenuRender(): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_MAIN_MENU_RENDER"] = 1023] = "POST_MAIN_MENU_RENDER";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function postHUDRender(): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_HUD_RENDER"] = 1024] = "POST_HUD_RENDER";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `SoundEffect` provided.
     *
     * ```ts
     * function preSFXPlay(
     *   sound: SoundEffect,
     *   volume: number,
     *   frameDelay: int,
     *   loop: boolean,
     *   pitch: number,
     *   pan: number
     * ): SoundEffect | [SoundEffect, number, int, boolean, number, number] | boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_SFX_PLAY"] = 1030] = "PRE_SFX_PLAY";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `SoundEffect` provided.
     *
     * ```ts
     * function postSFXPlay(
     *   sound: SoundEffect,
     *   volume: number,
     *   frameDelay: int,
     *   loop: boolean,
     *   pitch: number,
     *   pan: number
     * ): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_SFX_PLAY"] = 1031] = "POST_SFX_PLAY";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `ProjectileVariant` provided.
     *
     * ```ts
     * function postProjectileDeath(projectile: EntityProjectile): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_PROJECTILE_DEATH"] = 1032] = "POST_PROJECTILE_DEATH";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `TearVariant` provided.
     *
     * ```ts
     * function postTearDeath(tear: EntityTear): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_TEAR_DEATH"] = 1033] = "POST_TEAR_DEATH";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `Music` provided.
     *
     * ```ts
     * function preMusicPlay(
     *   music: Music,
     *   volumeOrFadeRate: float,
     *   isFade: boolean
     * ): Music | { ID?: Music, Volume?: float, FadeRate?: float } | boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_MUSIC_PLAY"] = 1034] = "PRE_MUSIC_PLAY";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `Music` provided.
     *
     * ```ts
     * function preMusicLayerToggle(music: Music, enabled: boolean): boolean | Music | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_MUSIC_LAYER_TOGGLE"] = 1035] = "PRE_MUSIC_LAYER_TOGGLE";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `PlayerType` provided.
     *
     * ```ts
     * function preRenderPlayerHead(
     *   player: EntityPlayer,
     *   renderPos: Vector
     * ): Vector | boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_RENDER_PLAYER_HEAD"] = 1038] = "PRE_RENDER_PLAYER_HEAD";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `PlayerType` provided.
     *
     * ```ts
     * function preRenderPlayerBody(
     *   player: EntityPlayer,
     *   renderPos: Vector
     * ): Vector | boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_RENDER_PLAYER_BODY"] = 1039] = "PRE_RENDER_PLAYER_BODY";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function preEntityThrow(
     *   throwingPlayer: EntityPlayer,
     *   heldEntity: Entity,
     *   velocity: Vector
     * ): Vector | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_ENTITY_THROW"] = 1040] = "PRE_ENTITY_THROW";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function postEntityThrow(
     *   throwingPlayer: EntityPlayer,
     *   heldEntity: Entity,
     *   velocity: Vector
     * ): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_ENTITY_THROW"] = 1041] = "POST_ENTITY_THROW";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `PlayerType` provided.
     *
     * ```ts
     * function postPlayerInitLevelStats(player: EntityPlayer): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_PLAYER_INIT_LEVEL_STATS"] = 1042] = "POST_PLAYER_INIT_LEVEL_STATS";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function preRoomExit(player: EntityPlayer, newLevel: boolean): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_ROOM_EXIT"] = 1043] = "PRE_ROOM_EXIT";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `PlayerType` provided.
     *
     * ```ts
     * function preCompletionMarkGet(
     *   completion: CompletionType,
     *   playerType: PlayerType
     *  ): boolean | undefined {}
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_COMPLETION_MARK_GET"] = 1047] = "PRE_COMPLETION_MARK_GET";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `PlayerType` provided.
     *
     * ```ts
     * function postCompletionMarkGet(completion: CompletionType, playerType: PlayerType): void {}
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_COMPLETION_MARK_GET"] = 1048] = "POST_COMPLETION_MARK_GET";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function preCompletionEvent(completion: CompletionType): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_COMPLETION_EVENT"] = 1049] = "PRE_COMPLETION_EVENT";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function preTriggerPlayerDeath(player: EntityPlayer): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_TRIGGER_PLAYER_DEATH"] = 1050] = "PRE_TRIGGER_PLAYER_DEATH";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function triggerPlayerDeathPostCheckRevives(player: EntityPlayer): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["TRIGGER_PLAYER_DEATH_POST_CHECK_REVIVES"] = 1051] = "TRIGGER_PLAYER_DEATH_POST_CHECK_REVIVES";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function preLevelInit(): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_LEVEL_INIT"] = 1060] = "PRE_LEVEL_INIT";
    /**
     * Returning a Dimension that does not exist in the current floor will crash the game.
     *
     * You cannot filter this callback.
     *
     * ```ts
     * function preChangeRoom(
     *   targetRoomIndex: int,
     *   dimension: Dimension
     * ): { TargetRoomIdx?: int, Dimension?: Dimension } | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_CHANGE_ROOM"] = 1061] = "PRE_CHANGE_ROOM";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `PickupVariant` provided.
     *
     * ```ts
     * postPickupShopPurchase(pickup: EntityPickup, player: EntityPlayer, moneySpent: int): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_PICKUP_SHOP_PURCHASE"] = 1062] = "POST_PICKUP_SHOP_PURCHASE";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `FamiliarVariant` provided.
     *
     * ```ts
     * function getFollowerPriority(familiar: EntityFamiliar): FollowerPriority | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["GET_FOLLOWER_PRIORITY"] = 1063] = "GET_FOLLOWER_PRIORITY";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function preUseCard(
     *   card: CardType,
     *   player: EntityPlayer,
     *   useFlags: BitFlags<UseFlag>
     * ): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_USE_CARD"] = 1064] = "PRE_USE_CARD";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function preUsePill(
     *   pillEffect: PillEffect,
     *   pillColor: PillColor,
     *   player: EntityPlayer,
     *   useFlags: BitFlags<UseFlag>
     * ): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_USE_PILL"] = 1065] = "PRE_USE_PILL";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `PickupVariant` provided.
     *
     * ```ts
     * function getShopItemPrice(
     *   pickupVariant: PickupVariant,
     *   pickupSubType: int,
     *   shopItemID: int,
     *   price: int
     *  ): int | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["GET_SHOP_ITEM_PRICE"] = 1066] = "GET_SHOP_ITEM_PRICE";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `PlayerType` provided.
     *
     * ```ts
     * function getPlayerHealthType(player: EntityPlayer): HealthType | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["GET_PLAYER_HEALTH_TYPE"] = 1067] = "GET_PLAYER_HEALTH_TYPE";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function preRoomTriggerClear(playSound: boolean): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_ROOM_TRIGGER_CLEAR"] = 1068] = "PRE_ROOM_TRIGGER_CLEAR";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function preRestockShop(partial: boolean): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_RESTOCK_SHOP"] = 1070] = "PRE_RESTOCK_SHOP";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function postRestockShop(partial: boolean): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_RESTOCK_SHOP"] = 1071] = "POST_RESTOCK_SHOP";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `CollectibleType` provided.
     *
     * ```ts
     * function getActiveMaxCharge(
     *   collectible: CollectibleType,
     *   player: EntityPlayer,
     *   varData: int
     * ): int | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["GET_ACTIVE_MAX_CHARGE"] = 1072] = "GET_ACTIVE_MAX_CHARGE";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `CollectibleType` provided.
     *
     * ```ts
     * function getActiveMinUsableCharge(
     *   slot: ActiveSlot,
     *   player: EntityPlayer,
     * ): int | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["GET_ACTIVE_MIN_USABLE_CHARGE"] = 1073] = "GET_ACTIVE_MIN_USABLE_CHARGE";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `PlayerType` provided.
     *
     * ```ts
     * function getPlayerHeartLimit(
     *   player: EntityPlayer,
     *   heartLimit: int,
     *   isKeeper: boolean
     * ): int | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["GET_PLAYER_HEART_LIMIT"] = 1074] = "GET_PLAYER_HEART_LIMIT";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GiantbookType` provided.
     *
     * ```ts
     * function postItemOverlayUpdate(): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_ITEM_OVERLAY_UPDATE"] = 1075] = "POST_ITEM_OVERLAY_UPDATE";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GiantbookType` provided.
     *
     * ```ts
     * function preItemOverlayShow(
     *   giantbook: GiantbookType,
     *   delay: int,
     *   player: EntityPlayer
     * ): boolean | GiantbookType | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_ITEM_OVERLAY_SHOW"] = 1076] = "PRE_ITEM_OVERLAY_SHOW";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `PlayerType` provided.
     *
     * ```ts
     * function postPlayerNewRoomTempEffects(player: EntityPlayer): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_PLAYER_NEW_ROOM_TEMP_EFFECTS"] = 1077] = "POST_PLAYER_NEW_ROOM_TEMP_EFFECTS";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `PlayerType` provided.
     *
     * ```ts
     * function postPlayerNewLevel(player: EntityPlayer): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_PLAYER_NEW_LEVEL"] = 1078] = "POST_PLAYER_NEW_LEVEL";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function postPlayerHUDRenderActiveItem(
     *   player: EntityPlayer,
     *   slot: ActiveSlot,
     *   offset: Vector,
     *   alpha: float,
     *   scale: float,
     *   chargeBarOffset: Vector
     * ): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_PLAYER_HUD_RENDER_ACTIVE_ITEM"] = 1079] = "POST_PLAYER_HUD_RENDER_ACTIVE_ITEM";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `FamiliarVariant` provided.
     *
     * ```ts
     * function preFamiliarRender(
     *   familiar: EntityFamiliar,
     *   offset: Vector
     * ): Vector | boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_FAMILIAR_RENDER"] = 1080] = "PRE_FAMILIAR_RENDER";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `EntityType` provided.
     *
     * ```ts
     * function preNPCRender(npc: EntityNPC, offset: Vector): Vector | boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_NPC_RENDER"] = 1081] = "PRE_NPC_RENDER";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `PlayerVariant` provided.
     *
     * ```ts
     * function prePlayerRender(player: EntityPlayer, offset: Vector): Vector | boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_PLAYER_RENDER"] = 1082] = "PRE_PLAYER_RENDER";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `PickupVariant` provided.
     *
     * ```ts
     * function prePickupRender(pickup: EntityPickup, offset: Vector): Vector | boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_PICKUP_RENDER"] = 1083] = "PRE_PICKUP_RENDER";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `TearVariant` provided.
     *
     * ```ts
     * function preTearRender(tear: EntityTear, offset: Vector): Vector | boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_TEAR_RENDER"] = 1084] = "PRE_TEAR_RENDER";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `KnifeVariant` provided.
     *
     * ```ts
     * function preProjectileRender(
     *   projectile: EntityProjectile,
     *   offset: Vector
     * ): Vector | boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_PROJECTILE_RENDER"] = 1085] = "PRE_PROJECTILE_RENDER";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `KnifeVariant` provided.
     *
     * ```ts
     * function preKnifeRender(knife: EntityKnife, offset: Vector): Vector | boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_KNIFE_RENDER"] = 1086] = "PRE_KNIFE_RENDER";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `EffectVariant` provided.
     *
     * ```ts
     * function preEffectRender(effect: EntityEffect, offset: Vector): Vector | boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_EFFECT_RENDER"] = 1087] = "PRE_EFFECT_RENDER";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `BombVariant` provided.
     *
     * ```ts
     * function preBombRender(bomb: EntityBomb, offset: Vector): Vector | boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_BOMB_RENDER"] = 1088] = "PRE_BOMB_RENDER";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `SlotVariant` provided.
     *
     * ```ts
     * function preSlotRender(slot: EntitySlot, offset: Vector): Vector | boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_SLOT_RENDER"] = 1089] = "PRE_SLOT_RENDER";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `SlotVariant` provided.
     *
     * ```ts
     * function postSlotRender(slot: EntitySlot, offset: Vector): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_SLOT_RENDER"] = 1090] = "POST_SLOT_RENDER";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function postPlayerHUDRenderHearts(
     *   offset: Vector,
     *   heartsSprite: Sprite,
     *   position: Vector,
     *   unknown: float,
     *   player: EntityPlayer
     * ): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_PLAYER_HUD_RENDER_HEARTS"] = 1091] = "POST_PLAYER_HUD_RENDER_HEARTS";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function prePlayerApplyInnateCollectibleNumber(
     *   modCount: int,
     *   player: EntityPlayer,
     *   collectible: CollectibleType,
     *   onlyCountTrueItems: boolean
     * ): int | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_PLAYER_APPLY_INNATE_COLLECTIBLE_NUMBER"] = 1092] = "PRE_PLAYER_APPLY_INNATE_COLLECTIBLE_NUMBER";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `Music` provided.
     *
     * ```ts
     * function preMusicPlayJingle(music: Music): Music | boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_MUSIC_PLAY_JINGLE"] = 1094] = "PRE_MUSIC_PLAY_JINGLE";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `CollectibleType` provided.
     *
     * ```ts
     * function postCollectibleRemoved(player: EntityPlayer, collectible: CollectibleType): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_COLLECTIBLE_REMOVED"] = 1095] = "POST_COLLECTIBLE_REMOVED";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `TrinketType` provided.
     *
     * ```ts
     * function postTrinketAdded(
     *   player: EntityPlayer,
     *   trinket: TrinketType,
     *   firstTimePickingUp: boolean
     * ): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_TRINKET_ADDED"] = 1096] = "POST_TRINKET_ADDED";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `TrinketType` provided.
     *
     * ```ts
     * function postTrinketRemoved(player: EntityPlayer, trinket: TrinketType): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_TRINKET_REMOVED"] = 1097] = "POST_TRINKET_REMOVED";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `WeaponType` provided.
     *
     * ```ts
     * function postTriggerWeaponFired(
     *   fireDirection: Vector,
     *   fireAmount: int,
     *   owner: Entity,
     *   weapon: Weapon
     * ): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_TRIGGER_WEAPON_FIRED"] = 1098] = "POST_TRIGGER_WEAPON_FIRED";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function postLevelLayoutGenerated(levelGenerator: LevelGenerator): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_LEVEL_LAYOUT_GENERATED"] = 1099] = "POST_LEVEL_LAYOUT_GENERATED";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     *  function preGridEntitySpawn(
     *   gridEntityType: GridEntityType,
     *   variant: int,
     *   varData: int,
     *   gridIndex: int,
     *   spawnSeed: Seed,
     *   desc: GridEntityDesc | undefined,
     * ):
     *   | GridEntityDesc
     *   | boolean
     *   | { Type?: GridEntityType; Variant?: int; Vardata?: int; SpawnSeed?: Seed }
     *   | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_GRID_ENTITY_SPAWN"] = 1100] = "PRE_GRID_ENTITY_SPAWN";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function postGridEntitySpawn(grid: GridEntity): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_GRID_ENTITY_SPAWN"] = 1101] = "POST_GRID_ENTITY_SPAWN";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function postNightmareSceneShow(unknown: boolean): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_NIGHTMARE_SCENE_SHOW"] = 1103] = "POST_NIGHTMARE_SCENE_SHOW";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function preLevelSelect(
     *   level: LevelStage,
     *   stageType: StageType
     * ): [LevelStage?, StageType?] | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_LEVEL_SELECT"] = 1104] = "PRE_LEVEL_SELECT";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `WeaponType` provided.
     *
     * ```ts
     * function postWeaponFire(
     *   weapon: Weapon,
     *   fireDirection: Vector,
     *   isShooting: boolean,
     *   isInterpolated: boolean
     * ): void {}
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_WEAPON_FIRE"] = 1105] = "POST_WEAPON_FIRE";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function preBackdropRenderWalls(): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_BACKDROP_RENDER_WALLS"] = 1106] = "PRE_BACKDROP_RENDER_WALLS";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function preBackdropRenderFloor(): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_BACKDROP_RENDER_FLOOR"] = 1107] = "PRE_BACKDROP_RENDER_FLOOR";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function preBackdropRenderWater(): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_BACKDROP_RENDER_WATER"] = 1108] = "PRE_BACKDROP_RENDER_WATER";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function postBackdropPreRenderWalls(): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_BACKDROP_PRE_RENDER_WALLS"] = 1109] = "POST_BACKDROP_PRE_RENDER_WALLS";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function prePlanetariumApplyStagePenalty(): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_PLANETARIUM_APPLY_STAGE_PENALTY"] = 1110] = "PRE_PLANETARIUM_APPLY_STAGE_PENALTY";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function prePlanetariumApplyPlanetariumPenalty(): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_PLANETARIUM_APPLY_PLANETARIUM_PENALTY"] = 1111] = "PRE_PLANETARIUM_APPLY_PLANETARIUM_PENALTY";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function prePlanetariumApplyTreasureRoomPenalty(): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_PLANETARIUM_APPLY_TREASURE_ROOM_PENALTY"] = 1112] = "PRE_PLANETARIUM_APPLY_TREASURE_ROOM_PENALTY";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function prePlanetariumApplyItems(chance: float): float | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_PLANETARIUM_APPLY_ITEMS"] = 1113] = "PRE_PLANETARIUM_APPLY_ITEMS";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function prePlanetariumApplyTelescopeLens(chance: float): float | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_PLANETARIUM_APPLY_TELESCOPE_LENS"] = 1114] = "PRE_PLANETARIUM_APPLY_TELESCOPE_LENS";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function prePlanetariumCalculateFinal(chance: float): float | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_PLANETARIUM_CALCULATE_FINAL"] = 1115] = "PRE_PLANETARIUM_CALCULATE_FINAL";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the string provided.
     *
     * ```ts
     * function preReplaceSpritesheet(layerId: int, fileName: string): [int, string] | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_REPLACE_SPRITESHEET"] = 1116] = "PRE_REPLACE_SPRITESHEET";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the string provided.
     *
     * ```ts
     * function preReplaceSpritesheet(layerId: int, fileName: string): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_REPLACE_SPRITESHEET"] = 1117] = "POST_REPLACE_SPRITESHEET";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function prePlayerHUDRenderHearts(
     *   offset: Vector,
     *   heartsSprite: Sprite,
     *   position: Vector,
     *   unknown: float,
     *   player: EntityPlayer
     * ): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_PLAYER_HUD_RENDER_HEARTS"] = 1118] = "PRE_PLAYER_HUD_RENDER_HEARTS";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function prePlayerHudRenderActiveItem(
     *   player: EntityPlayer,
     *   slot: ActiveSlot,
     *   offset: Vector,
     *   alpha: float,
     *   scale: number,
     *   chargeBarOffset: Vector
     * ): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_PLAYER_HUD_RENDER_ACTIVE_ITEM"] = 1119] = "PRE_PLAYER_HUD_RENDER_ACTIVE_ITEM";
    /**
     * This callback will only fire for commands using `AutocompleteType.CUSTOM`.
     *
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the string provided.
     *
     * ```ts
     * function consoleAutocomplete(
     *   command: string,
     *   params: string
     * ): Array<string | string[]>| undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["CONSOLE_AUTOCOMPLETE"] = 1120] = "CONSOLE_AUTOCOMPLETE";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `SlotVariant` provided.
     *
     * ```ts
     * function postSlotInit(slot: EntitySlot): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_SLOT_INIT"] = 1121] = "POST_SLOT_INIT";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `SlotVariant` provided.
     *
     * ```ts
     * function postSlotUpdate(slot: EntitySlot): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_SLOT_UPDATE"] = 1122] = "POST_SLOT_UPDATE";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `SlotVariant` provided.
     *
     * ```ts
     * function preSlotCreateExplosionDrops(slot: EntitySlot): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_SLOT_CREATE_EXPLOSION_DROPS"] = 1123] = "PRE_SLOT_CREATE_EXPLOSION_DROPS";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `SlotVariant` provided.
     *
     * ```ts
     * function postSlotCreateExplosionDrops(slot: EntitySlot): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_SLOT_CREATE_EXPLOSION_DROPS"] = 1124] = "POST_SLOT_CREATE_EXPLOSION_DROPS";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `SlotVariant` provided.
     *
     * ```ts
     * function preSlotSetPrizeCollectible(
     *   slot: EntitySlot,
     *   collectible: CollectibleType
     * ): CollectibleType | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_SLOT_SET_PRIZE_COLLECTIBLE"] = 1125] = "PRE_SLOT_SET_PRIZE_COLLECTIBLE";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `SlotVariant` provided.
     *
     * ```ts
     * function postSlotCreateExplosionDrops(slot: EntitySlot, collectible: CollectibleType): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_SLOT_SET_PRIZE_COLLECTIBLE"] = 1126] = "POST_SLOT_SET_PRIZE_COLLECTIBLE";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `PlayerType` provided.
     *
     * ```ts
     * function prePlayerLevelInitStats(player: EntityPlayer): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_PLAYER_LEVEL_INIT_STATS"] = 1127] = "PRE_PLAYER_LEVEL_INIT_STATS";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function postForcePillEffect(pillEffect: PillEffect, pillColor: PillColor): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_FORCE_ADD_PILL_EFFECT"] = 1129] = "POST_FORCE_ADD_PILL_EFFECT";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function preDevilApplyItems(chance: number): number | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_DEVIL_APPLY_ITEMS"] = 1130] = "PRE_DEVIL_APPLY_ITEMS";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function preDevilApplyStagePenalty(): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_DEVIL_APPLY_STAGE_PENALTY"] = 1131] = "PRE_DEVIL_APPLY_STAGE_PENALTY";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function preDevilApplySpecialItems(chance: number): number | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_DEVIL_APPLY_SPECIAL_ITEMS"] = 1132] = "PRE_DEVIL_APPLY_SPECIAL_ITEMS";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function preDevilCalculateFinal(chance: number): number | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_DEVIL_CALCULATE_FINAL"] = 1133] = "PRE_DEVIL_CALCULATE_FINAL";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GiantbookType` provided.
     *
     * ```ts
     * function postItemOverlayShow(
     *   giantbook: GiantbookType,
     *   delay: int,
     *   player: EntityPlayer
     * ): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_ITEM_OVERLAY_SHOW"] = 1134] = "POST_ITEM_OVERLAY_SHOW";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function preRender(): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_RENDER"] = 1135] = "PRE_RENDER";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function preLevelPlaceRoom(
     *   slot: LevelGeneratorRoom,
     *   roomConfig: RoomConfigRoom,
     *   seed: Seed
     * ): RoomConfigRoom | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_LEVEL_PLACE_ROOM"] = 1137] = "PRE_LEVEL_PLACE_ROOM";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function preBackdropChange(backdrop: BackdropType): BackdropType {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_BACKDROP_CHANGE"] = 1141] = "PRE_BACKDROP_CHANGE";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function preGetLightingAlpha(float: number): float | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_GET_LIGHTING_ALPHA"] = 1150] = "PRE_GET_LIGHTING_ALPHA";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function preRenderGridLighting(
     *   grid: GridEntity,
     *   offset: Vector
     * ): Vector | boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_RENDER_GRID_LIGHTING"] = 1151] = "PRE_RENDER_GRID_LIGHTING";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `EntityType` provided.
     *
     * ```ts
     * function preRenderEntityLighting(
     *   entity: Entity,
     *   offset: Vector
     * ): Vector | boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_RENDER_ENTITY_LIGHTING"] = 1152] = "PRE_RENDER_ENTITY_LIGHTING";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `PlayerVariant` provided.
     *
     * ```ts
     * function prePlayerUpdate(player: EntityPlayer): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_PLAYER_UPDATE"] = 1160] = "PRE_PLAYER_UPDATE";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `TearVariant` provided.
     *
     * ```ts
     * function preTearUpdate(tear: EntityTear): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_TEAR_UPDATE"] = 1161] = "PRE_TEAR_UPDATE";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `FamiliarVariant` provided.
     *
     * ```ts
     * function preFamiliarVariant(familiar: EntityFamiliar): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_FAMILIAR_UPDATE"] = 1162] = "PRE_FAMILIAR_UPDATE";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `BombVariant` provided.
     *
     * ```ts
     * function preBombUpdate(bomb: EntityBomb): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_BOMB_UPDATE"] = 1163] = "PRE_BOMB_UPDATE";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `KnifeVariant` provided.
     *
     * ```ts
     * function preKnifeUpdate(knife: EntityKnife): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_KNIFE_UPDATE"] = 1164] = "PRE_KNIFE_UPDATE";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `PickupVariant` provided.
     *
     * ```ts
     * function prePickupUpdate(pickup: EntityPickup): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_PICKUP_UPDATE"] = 1165] = "PRE_PICKUP_UPDATE";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `ProjectileVariant` provided.
     *
     * ```ts
     * function preProjectileUpdate(projectile: EntityProjectile): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_PROJECTILE_UPDATE"] = 1166] = "PRE_PROJECTILE_UPDATE";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `LaserVariant` provided.
     *
     * ```ts
     * function preLaserUpdate(laser: EntityLaser): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_LASER_UPDATE"] = 1167] = "PRE_LASER_UPDATE";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `EffectVariant` provided.
     *
     * ```ts
     * function preEffectUpdate(effect: EntityEffect): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_EFFECT_UPDATE"] = 1168] = "PRE_EFFECT_UPDATE";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `SlotVariant` provided.
     *
     * ```ts
     * function preSlotUpdate(slot: EntitySlot): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_SLOT_UPDATE"] = 1169] = "PRE_SLOT_UPDATE";
    /**
     * Use this over Isaacscript Common's `ModCallbackCustom.POST_GRID_ENTITY_COLLISION` callback as
     * this callback offers significantly better performance than the former.
     *
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function prePlayerGridCollision(
     *   player: EntityPlayer,
     *   gridIndex: int,
     *   gridEntity: GridEntity | undefined
     * ): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_PLAYER_GRID_COLLISION"] = 1171] = "PRE_PLAYER_GRID_COLLISION";
    /**
     * Use this over Isaacscript Common's `ModCallbackCustom.POST_GRID_ENTITY_COLLISION` callback as
     * this callback offers significantly better performance than the former.
     *
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function postPlayerGridCollision(
     *   player: EntityPlayer,
     *   gridIndex: int,
     *   gridEntity: GridEntity | undefined
     * ): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_PLAYER_GRID_COLLISION"] = 1172] = "POST_PLAYER_GRID_COLLISION";
    /**
     * Use this over Isaacscript Common's `ModCallbackCustom.POST_GRID_ENTITY_COLLISION` callback as
     * this callback offers significantly better performance than the former.
     *
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function preTearGridCollision(
     *   tear: EntityTear,
     *   gridIndex: int,
     *   gridEntity: GridEntity | undefined
     * ): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_TEAR_GRID_COLLISION"] = 1173] = "PRE_TEAR_GRID_COLLISION";
    /**
     * Use this over Isaacscript Common's `ModCallbackCustom.POST_GRID_ENTITY_COLLISION` callback as
     * this callback offers significantly better performance than the former.
     *
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function postTearGridCollision(
     *   tear: EntityTear,
     *   gridIndex: int,
     *   gridEntity: GridEntity | undefined
     * ): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_TEAR_GRID_COLLISION"] = 1174] = "POST_TEAR_GRID_COLLISION";
    /**
     * Use this over Isaacscript Common's `ModCallbackCustom.POST_GRID_ENTITY_COLLISION` callback as
     * this callback offers significantly better performance than the former.
     *
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function preFamiliarGridCollision(
     *   familiar: EntityFamiliar,
     *   gridIndex: int,
     *   gridEntity: GridEntity | undefined
     * ): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_FAMILIAR_GRID_COLLISION"] = 1175] = "PRE_FAMILIAR_GRID_COLLISION";
    /**
     * Use this over Isaacscript Common's `ModCallbackCustom.POST_GRID_ENTITY_COLLISION` callback as
     * this callback offers significantly better performance than the former.
     *
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function postFamiliarGridCollision(
     *   familiar: EntityFamiliar,
     *   gridIndex: int,
     *   gridEntity: GridEntity | undefined
     * ): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_FAMILIAR_GRID_COLLISION"] = 1176] = "POST_FAMILIAR_GRID_COLLISION";
    /**
     * Use this over Isaacscript Common's `ModCallbackCustom.POST_GRID_ENTITY_COLLISION` callback as
     * this callback offers significantly better performance than the former.
     *
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function preBombGridCollision(
     *   bomb: EntityBomb,
     *   gridIndex: int,
     *   gridEntity: GridEntity | undefined
     * ): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_BOMB_GRID_COLLISION"] = 1177] = "PRE_BOMB_GRID_COLLISION";
    /**
     * Use this over Isaacscript Common's `ModCallbackCustom.POST_GRID_ENTITY_COLLISION` callback as
     * this callback offers significantly better performance than the former.
     *
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function postBombGridCollision(
     *   bomb: EntityBomb,
     *   gridIndex: int,
     *   gridEntity: GridEntity | undefined
     * ): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_BOMB_GRID_COLLISION"] = 1178] = "POST_BOMB_GRID_COLLISION";
    /**
     * Use this over Isaacscript Common's `ModCallbackCustom.POST_GRID_ENTITY_COLLISION` callback as
     * this callback offers significantly better performance than the former.
     *
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function prePickupGridCollision(
     *   pickup: EntityPickup,
     *   gridIndex: int,
     *   gridEntity: GridEntity | undefined
     * ): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_PICKUP_GRID_COLLISION"] = 1179] = "PRE_PICKUP_GRID_COLLISION";
    /**
     * Use this over Isaacscript Common's `ModCallbackCustom.POST_GRID_ENTITY_COLLISION` callback as
     * this callback offers significantly better performance than the former.
     *
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function postPickupGridCollision(
     *   pickup: EntityPickup,
     *   gridIndex: int,
     *   gridEntity: GridEntity | undefined
     * ): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_PICKUP_GRID_COLLISION"] = 1180] = "POST_PICKUP_GRID_COLLISION";
    /**
     * Use this over Isaacscript Common's `ModCallbackCustom.POST_GRID_ENTITY_COLLISION` callback as
     * this callback offers significantly better performance than the former.
     *
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function preProjectileGridCollision(
     *   projectile: EntityProjectile,
     *   gridIndex: int,
     *   gridEntity: GridEntity | undefined
     * ): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_PROJECTILE_GRID_COLLISION"] = 1181] = "PRE_PROJECTILE_GRID_COLLISION";
    /**
     * Use this over Isaacscript Common's `ModCallbackCustom.POST_GRID_ENTITY_COLLISION` callback as
     * this callback offers significantly better performance than the former.
     *
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function postProjectileGridCollision(
     *   projectile: EntityProjectile,
     *   gridIndex: int,
     *   gridEntity: GridEntity | undefined
     * ): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_PROJECTILE_GRID_COLLISION"] = 1182] = "POST_PROJECTILE_GRID_COLLISION";
    /**
     * Use this over Isaacscript Common's `ModCallbackCustom.POST_GRID_ENTITY_COLLISION` callback as
     * this callback offers significantly better performance than the former.
     *
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function preNPCGridCollision(
     *   npc: EntityNPC,
     *   gridIndex: int,
     *   gridEntity: GridEntity | undefined
     * ): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_NPC_GRID_COLLISION"] = 1183] = "PRE_NPC_GRID_COLLISION";
    /**
     * Use this over Isaacscript Common's `ModCallbackCustom.POST_GRID_ENTITY_COLLISION` callback as
     * this callback offers significantly better performance than the former.
     *
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function postNPCGridCollision(
     *   npc: EntityNPC,
     *   gridIndex: int,
     *   gridEntity: GridEntity | undefined
     * ): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_NPC_GRID_COLLISION"] = 1184] = "POST_NPC_GRID_COLLISION";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function preMMorphActive(
     *   player: EntityPlayer,
     *   collectible: CollectibleType
     * ): CollectibleType | boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_M_MORPH_ACTIVE"] = 1190] = "PRE_M_MORPH_ACTIVE";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `EntityType` provided.
     *
     * ```ts
     * function preNPCSplit(npc: EntityNPC, isBlacklisted: boolean): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_NPC_SPLIT"] = 1191] = "PRE_NPC_SPLIT";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function preRoomGridEntitySpawn(
     *   gridEntityType: GridEntityType,
     *   variant: int,
     *   varData: int,
     *   gridIndex: int,
     *   spawnSeed: Seed
     * ): boolean | [ GridEntityType, int, int, Seed ] | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_ROOM_GRID_ENTITY_SPAWN"] = 1192] = "PRE_ROOM_GRID_ENTITY_SPAWN";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function preNewRoom(room: Room, descriptor: RoomDescriptor): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_NEW_ROOM"] = 1200] = "PRE_NEW_ROOM";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function preMegaSatanEnding(): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_MEGA_SATAN_ENDING"] = 1201] = "PRE_MEGA_SATAN_ENDING";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function postModsLoaded(): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_MODS_LOADED"] = 1210] = "POST_MODS_LOADED";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function preNPCMorph(
     *   npc: EntityNPC,
     *   entityType: EntityType,
     *   variant: int,
     *   subType: int,
     *   championColor: ChampionColor
     * ): boolean | [ EntityType, int, int, ChampionColor? ] | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_NPC_MORPH"] = 1212] = "PRE_NPC_MORPH";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function prePickupMorph(
     *   pickup: EntityPickup,
     *   entityType: EntityType,
     *   variant: int,
     *   subType: int,
     *   keepPrice: boolean,
     *   keepSeed: boolean,
     *   ignoreModifiers: boolean
     * ): boolean | [ EntityType, int, int, boolean?, boolean?, boolean? ] | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_PICKUP_MORPH"] = 1213] = "PRE_PICKUP_MORPH";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function postNPCMorph(
     *   npc: EntityNPC,
     *   previousType: EntityType,
     *   previousVariant: int,
     *   previousSubType: int
     * ): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_NPC_MORPH"] = 1214] = "POST_NPC_MORPH";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function postPickupMorph(
     *   pickup: EntityPickup,
     *   previousType: EntityType,
     *   previousVariant: int,
     *   previousSubType: int,
     *   keptPrice: boolean,
     *   keptSeed: boolean,
     *   ignoredModifiers: boolean
     * ): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_PICKUP_MORPH"] = 1215] = "POST_PICKUP_MORPH";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function preCompletionMarksRender(
     *   completionMarksSprite: Sprite,
     *   renderPos: Vector,
     *   renderScale: Vector
     *   playerType: PlayerType
     * ): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_COMPLETION_MARKS_RENDER"] = 1216] = "PRE_COMPLETION_MARKS_RENDER";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function postCompletionMarksRender(
     *   completionMarksSprite: Sprite,
     *   renderPos: Vector,
     *   renderScale: Vector
     *   playerType: PlayerType
     * ): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_COMPLETION_MARKS_RENDER"] = 1217] = "POST_COMPLETION_MARKS_RENDER";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function prePauseScreenRender(pauseBody: Sprite, pauseStats: Sprite): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_PAUSE_SCREEN_RENDER"] = 1218] = "PRE_PAUSE_SCREEN_RENDER";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function postPauseScreenRender(pauseBody: Sprite, pauseStats: Sprite): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_PAUSE_SCREEN_RENDER"] = 1219] = "POST_PAUSE_SCREEN_RENDER";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `PlayerVariant` provided.
     *
     * ```ts
     * function prePlayerUseBomb(player: EntityPlayer): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_PLAYER_USE_BOMB"] = 1220] = "PRE_PLAYER_USE_BOMB";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `PlayerVariant` provided.
     *
     * ```ts
     * function postPlayerUseBomb(player: EntityPlayer, bomb: EntityBomb): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_PLAYER_USE_BOMB"] = 1221] = "POST_PLAYER_USE_BOMB";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `EntityType` provided.
     *
     * ```ts
     * function preNPCPickTarget(npc: EntityNPC, target: Entity): Entity | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_NPC_PICK_TARGET"] = 1222] = "PRE_NPC_PICK_TARGET";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `EntityType` provided.
     *
     * ```ts
     * function postNPCDarkRedChampionRegen(npc: EntityNPC): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_NPC_DARK_RED_CHAMPION_REGEN"] = 1223] = "POST_NPC_DARK_RED_CHAMPION_REGEN";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the string provided.
     *
     * ```ts
     * function evaluateCustomCache(
     *   player: EntityPlayer,
     *   customCacheTag: string,
     *   value: number
     * ): number | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["EVALUATE_CUSTOM_CACHE"] = 1224] = "EVALUATE_CUSTOM_CACHE";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `FamiliarVariant` provided.
     *
     * ```ts
     * function evaluateFamiliarMultiplier(
     *   familiar: EntityFamiliar,
     *   multiplier: number,
     *   player: EntityPlayer
     * ): number | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["EVALUATE_FAMILIAR_MULTIPLIER"] = 1225] = "EVALUATE_FAMILIAR_MULTIPLIER";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `PlayerVariant` provided.
     *
     * ```ts
     * function postPlayerCollision(
     *   player: EntityPlayer,
     *   collider: Entity,
     *   low: boolean
     * ): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_PLAYER_COLLISION"] = 1231] = "POST_PLAYER_COLLISION";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `TearVariant` provided.
     *
     * ```ts
     * function postTearCollision(tear: EntityTear, collider: Entity, low: boolean): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_TEAR_COLLISION"] = 1233] = "POST_TEAR_COLLISION";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `FamiliarVariant` provided.
     *
     * ```ts
     * function postFamiliarCollision(
     *   familiar: EntityFamiliar,
     *   collider: Entity,
     *   low: boolean
     * ): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_FAMILIAR_COLLISION"] = 1235] = "POST_FAMILIAR_COLLISION";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `BombVariant` provided.
     *
     * ```ts
     * function postBombCollision(bomb: EntityBomb, collider: Entity, low: boolean): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_BOMB_COLLISION"] = 1237] = "POST_BOMB_COLLISION";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `PickupVariant` provided.
     *
     * ```ts
     * function postPickupCollision(pickup: EntityPickup, collider: Entity, low: boolean): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_PICKUP_COLLISION"] = 1239] = "POST_PICKUP_COLLISION";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `SlotVariant` provided.
     *
     * ```ts
     * function preSlotCollision(
     *   slot: EntitySlot,
     *   collider: Entity,
     *   low: boolean
     * ): boolean | { Collide?: boolean, SkipCollisionEffects?: boolean } | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_SLOT_COLLISION"] = 1240] = "PRE_SLOT_COLLISION";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `SlotVariant` provided.
     *
     * ```ts
     * function postSlotCollision(
     *   slot: EntitySlot,
     *   collider: Entity,
     *   low: boolean
     * ): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_SLOT_COLLISION"] = 1241] = "POST_SLOT_COLLISION";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `KnifeVariant` provided.
     *
     * ```ts
     * function postKnifeCollision(knife: EntityKnife, collider: Entity, low: boolean): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_KNIFE_COLLISION"] = 1243] = "POST_KNIFE_COLLISION";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `ProjectileVariant` provided.
     *
     * ```ts
     * function postProjectileCollision(
     *   projectile: EntityProjectile,
     *   collider: Entity,
     *   low: boolean
     * ): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_PROJECTILE_COLLISION"] = 1245] = "POST_PROJECTILE_COLLISION";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `EntityType` provided.
     *
     * ```ts
     * function postNPCCollision(npc: EntityNPC, collider: Entity, low: boolean): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_NPC_COLLISION"] = 1247] = "POST_NPC_COLLISION";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `LaserVariant` provided.
     *
     * ```ts
     * function preLaserCollision(laser: EntityLaser, collider: Entity): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_LASER_COLLISION"] = 1248] = "PRE_LASER_COLLISION";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `LaserVariant` provided.
     *
     * ```ts
     * function postLaserCollision(laser: EntityLaser, collider: Entity): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_LASER_COLLISION"] = 1249] = "POST_LASER_COLLISION";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `CoinSubType` provided.
     *
     * ```ts
     * function getCoinValue(coin: EntityPickup): int | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["GET_COIN_VALUE"] = 1250] = "GET_COIN_VALUE";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `PlayerType` provided.
     *
     * ```ts
     * function prePlayerGetMultiShotParams(player: EntityPlayer): MultiShotParams | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_PLAYER_GET_MULTI_SHOT_PARAMS"] = 1251] = "PRE_PLAYER_GET_MULTI_SHOT_PARAMS";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `FamiliarVariant` provided.
     *
     * ```ts
     * function postFamiliarFireProjectile(tear: EntityTear): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_FAMILIAR_FIRE_PROJECTILE"] = 1252] = "POST_FAMILIAR_FIRE_PROJECTILE";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function postFireBomb(bomb: EntityBomb): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_FIRE_BOMB"] = 1253] = "POST_FIRE_BOMB";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function postFireBoneClub(knife: EntityKnife): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_FIRE_BONE_CLUB"] = 1254] = "POST_FIRE_BONE_CLUB";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function postFireBrimstone(laser: EntityLaser): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_FIRE_BRIMSTONE"] = 1255] = "POST_FIRE_BRIMSTONE";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function postFireBrimstoneBall(ball: EntityEffect): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_FIRE_BRIMSTONE_BALL"] = 1256] = "POST_FIRE_BRIMSTONE_BALL";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function postFireKnife(knife: EntityKnife): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_FIRE_KNIFE"] = 1257] = "POST_FIRE_KNIFE";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function postFireSword(sword: EntityKnife): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_FIRE_SWORD"] = 1258] = "POST_FIRE_SWORD";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function postFireTechLaser(laser: EntityLaser): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_FIRE_TECH_LASER"] = 1259] = "POST_FIRE_TECH_LASER";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function postFireTechXLaser(laser: EntityLaser): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_FIRE_TECH_X_LASER"] = 1260] = "POST_FIRE_TECH_X_LASER";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `FamiliarVariant` provided.
     *
     * ```ts
     * function postFamiliarFireBrimstone(laser: EntityLaser): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_FAMILIAR_FIRE_BRIMSTONE"] = 1261] = "POST_FAMILIAR_FIRE_BRIMSTONE";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `FamiliarVariant` provided.
     *
     * ```ts
     * function postFamiliarFireTechLaser(laser: EntityLaser): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_FAMILIAR_FIRE_TECH_LASER"] = 1262] = "POST_FAMILIAR_FIRE_TECH_LASER";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function getIsPersistentRoomEntity(
     *   entityType: EntityType,
     *   variant: int
     * ): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["GET_IS_PERSISTENT_ROOM_ENTITY"] = 1263] = "GET_IS_PERSISTENT_ROOM_ENTITY";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function prePlayerHUDRenderTrinket(
     *   slot: TrinketSlot,
     *   position: Vector,
     *   scale: number,
     *   player: EntityPlayer,
     *   cropOffset: Vector
     * ): { Position?: Vector, Scale?: number, CropOffset?: Vector } | boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_PLAYER_HUD_RENDER_TRINKET"] = 1264] = "PRE_PLAYER_HUD_RENDER_TRINKET";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `PickupVariant` provided.
     *
     * ```ts
     * function prePickupVoided(pickup: EntityPickup, isBlackRune: boolean): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_PICKUP_VOIDED"] = 1265] = "PRE_PICKUP_VOIDED";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `PickupVariant` provided.
     *
     * ```ts
     * function prePickupVoidedAbyss(pickup: EntityPickup): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_PICKUP_VOIDED_ABYSS"] = 1266] = "PRE_PICKUP_VOIDED_ABYSS";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `PickupVariant` provided.
     *
     * ```ts
     * function prePickupComposted(pickup: EntityPickup): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_PICKUP_COMPOSTED"] = 1267] = "PRE_PICKUP_COMPOSTED";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function postPlayerTriggerEffectRemoved(
     *   player: EntityPlayer,
     *   itemConfigItem: ItemConfigItem
     * ): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_PLAYER_TRIGGER_EFFECT_REMOVED"] = 1268] = "POST_PLAYER_TRIGGER_EFFECT_REMOVED";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function postRoomTriggerEffectRemoved(player: EntityPlayer: void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_ROOM_TRIGGER_EFFECT_REMOVED"] = 1269] = "POST_ROOM_TRIGGER_EFFECT_REMOVED";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function postBossIntroShow(boss1: BossID, boss2: BossID): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_BOSS_INTRO_SHOW"] = 1270] = "POST_BOSS_INTRO_SHOW";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function postRoomTransitionUpdate(): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_ROOM_TRANSITION_UPDATE"] = 1271] = "POST_ROOM_TRANSITION_UPDATE";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function postRoomTransitionRender(): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_ROOM_TRANSITION_RENDER"] = 1272] = "POST_ROOM_TRANSITION_RENDER";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function postGlowingHourglassSave(slot: int): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_GLOWING_HOURGLASS_SAVE"] = 1300] = "POST_GLOWING_HOURGLASS_SAVE";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function postGlowingHourglassSave(slot: int): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_GLOWING_HOURGLASS_LOAD"] = 1301] = "POST_GLOWING_HOURGLASS_LOAD";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `BossID` provided.
     *
     * ```ts
     * function preBossSelect(
     *   bossID: BossID,
     *   bossPool: BossPool,
     *   levelStage: LevelStage,
     *   stageType: StageType
     * ): BossID | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_BOSS_SELECT"] = 1280] = "PRE_BOSS_SELECT";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function prePlayerAddCostume(
     *   itemConfig: ItemConfigItem,
     *   player: EntityPlayer,
     *   itemStateOnly: boolean
     * ): boolean | ItemConfigItem | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_PLAYER_ADD_COSTUME"] = 1281] = "PRE_PLAYER_ADD_COSTUME";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function prePlayerAddCostume(
     *   itemConfig: ItemConfigItem,
     *   player: EntityPlayer
     * ): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_PLAYER_REMOVE_COSTUME"] = 1282] = "PRE_PLAYER_REMOVE_COSTUME";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function postPlayerAddCostume(
     *   itemConfig: ItemConfigItem,
     *   player: EntityPlayer,
     *   itemStateOnly: boolean
     * ): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_PLAYER_ADD_COSTUME"] = 1283] = "POST_PLAYER_ADD_COSTUME";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function postPlayerAddCostume(
     *   itemConfig: ItemConfigItem,
     *   player: EntityPlayer
     * ): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_PLAYER_REMOVE_COSTUME"] = 1284] = "POST_PLAYER_REMOVE_COSTUME";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `BedSubType` provided.
     *
     * ```ts
     * function preTriggerBedSleepEffect(
     *   player: EntityPlayer,
     *   bed: EntityPickup
     * ): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_TRIGGER_BED_SLEEP_EFFECT"] = 1285] = "PRE_TRIGGER_BED_SLEEP_EFFECT";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `BedSubType` provided.
     *
     * ```ts
     * function postTriggerBedSleepEffect(player: EntityPlayer, bed: EntityPickup): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_TRIGGER_BED_SLEEP_EFFECT"] = 1286] = "POST_TRIGGER_BED_SLEEP_EFFECT";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function prePlayerPocketItemSwap(player: EntityPlayer): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_PLAYER_POCKET_ITEMS_SWAP"] = 1287] = "PRE_PLAYER_POCKET_ITEMS_SWAP";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `BedSubType` provided.
     *
     * ```ts
     * function preBedSleep(player: EntityPlayer, bed: EntityPickup): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_BED_SLEEP"] = 1288] = "PRE_BED_SLEEP";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `PlayerType` provided.
     *
     * ```ts
     * function preRenderCustomCharacterMenu(
     *   playerType: PlayerType,
     *   renderPos: Vector,
     *   defaultSprite: Sprite
     * ): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_RENDER_CUSTOM_CHARACTER_MENU"] = 1333] = "PRE_RENDER_CUSTOM_CHARACTER_MENU";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function prePickupGetLootList(
     * pickup: EntityPickup,
     * shouldAdvance: boolean
     * ) => LootList | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_PICKUP_GET_LOOT_LIST"] = 1334] = "PRE_PICKUP_GET_LOOT_LIST";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function prePickupGetLootList(
     * pickup: EntityPickup,
     * shouldAdvance: boolean
     * ) => boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_PICKUP_UPDATE_GHOST_PICKUPS"] = 1335] = "PRE_PICKUP_UPDATE_GHOST_PICKUPS";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `CardType` provided.
     *
     * ```ts
     * function prePlayerAddCard(
     *   player: EntityPlayer,
     *   cardType: CardType,
     *   slot: PillCardSlot
     * ): boolean | CardType | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_PLAYER_ADD_CARD"] = 1350] = "PRE_PLAYER_ADD_CARD";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `CardType` provided.
     *
     * ```ts
     * function postPlayerAddCard(
     *   player: EntityPlayer,
     *   cardType: CardType,
     *   slot: PillCardSlot
     * ): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_PLAYER_ADD_CARD"] = 1351] = "POST_PLAYER_ADD_CARD";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `PillColor` provided.
     *
     * ```ts
     * function prePlayerAddPill(
     *   player: EntityPlayer,
     *   pillColor: PillColor,
     *   slot: PillCardSlot
     * ): boolean | PillColor | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_PLAYER_ADD_PILL"] = 1352] = "PRE_PLAYER_ADD_PILL";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `PillColor` provided.
     *
     * ```ts
     * function postPlayerAddPill(
     *   player: EntityPlayer,
     *   pillColor: PillColor,
     *   slot: PillCardSlot
     * ): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_PLAYER_ADD_PILL"] = 1353] = "POST_PLAYER_ADD_PILL";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `CardType` provided.
     *
     * ```ts
     * function postPlayerRemoveCard(
     *   player: EntityPlayer,
     *   cardType: CardType,
     *   slot: PillCardSlot
     * ): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_PLAYER_REMOVE_CARD"] = 1354] = "POST_PLAYER_REMOVE_CARD";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `PillColor` provided.
     *
     * ```ts
     * function postPlayerRemovePill(
     *   player: EntityPlayer,
     *   pillColor: PillColor,
     *   slot: PillCardSlot
     * ): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_PLAYER_REMOVE_PILL"] = 1355] = "POST_PLAYER_REMOVE_PILL";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `CardType` provided.
     *
     * ```ts
     * function prePlayerCollectCard(
     *   player: EntityPlayer,
     *   pickup: EntityPickup
     * ): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_PLAYER_COLLECT_CARD"] = 1356] = "PRE_PLAYER_COLLECT_CARD";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `CardType` provided.
     *
     * ```ts
     * function postPlayerCollectCard(player: EntityPlayer, pickup: EntityPickup): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_PLAYER_COLLECT_CARD"] = 1357] = "POST_PLAYER_COLLECT_CARD";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `PillColor` provided.
     *
     * ```ts
     * function prePlayerCollectPill(
     *   player: EntityPlayer,
     *   pickup: EntityPickup
     * ): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_PLAYER_COLLECT_PILL"] = 1358] = "PRE_PLAYER_COLLECT_PILL";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `PillColor` provided.
     *
     * ```ts
     * function postPlayerCollectPill(player: EntityPlayer, pickup: EntityPickup): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_PLAYER_COLLECT_PILL"] = 1359] = "POST_PLAYER_COLLECT_PILL";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `CardType` provided.
     *
     * ```ts
     * function postPlayerDropCard(
     *   player: EntityPlayer,
     *   pickup: EntityPickup,
     *   slot: PillCardSlot
     * ): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_PLAYER_DROP_CARD"] = 1360] = "POST_PLAYER_DROP_CARD";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `PillColor` provided.
     *
     * ```ts
     * function postPlayerDropPill(
     *   player: EntityPlayer,
     *   pickup: EntityPickup,
     *   slot: PillCardSlot
     * ): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_PLAYER_DROP_PILL"] = 1361] = "POST_PLAYER_DROP_PILL";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function preGridEntityDecorationUpdate(
     *   decoration: GridEntity
     * ): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_GRID_ENTITY_DECORATION_UPDATE"] = 1400] = "PRE_GRID_ENTITY_DECORATION_UPDATE";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function postGridEntityDecorationUpdate(decoration: GridEntity): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_GRID_ENTITY_DECORATION_UPDATE"] = 1401] = "POST_GRID_ENTITY_DECORATION_UPDATE";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function preGridEntityDoorUpdate(door: GridEntityDoor): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_GRID_ENTITY_DOOR_UPDATE"] = 1402] = "PRE_GRID_ENTITY_DOOR_UPDATE";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function postGridEntityDoorUpdate(door: GridEntityDoor): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_GRID_ENTITY_DOOR_UPDATE"] = 1403] = "POST_GRID_ENTITY_DOOR_UPDATE";
    /**
     * Fire grid entities are largely unused and in most cases you'll want to target the `EntityNPC`
     * fireplaces with `ModCallback.PRE_NPC_UPDATE`.
     *
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function preGridEntityDoorUpdate(fire: GridEntity): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_GRID_ENTITY_FIRE_UPDATE"] = 1404] = "PRE_GRID_ENTITY_FIRE_UPDATE";
    /**
     * Fire grid entities are largely unused and in most cases you'll want to target the `EntityNPC`
     * fireplaces with `ModCallback.POST_NPC_UPDATE`.
     *
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function postGridEntityDoorUpdate(fire: GridEntity): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_GRID_ENTITY_FIRE_UPDATE"] = 1405] = "POST_GRID_ENTITY_FIRE_UPDATE";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function preGridEntityGravityUpdate(gravity: GridEntity): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_GRID_ENTITY_GRAVITY_UPDATE"] = 1406] = "PRE_GRID_ENTITY_GRAVITY_UPDATE";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function postGridEntityGravityUpdate(gravity: GridEntity): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_GRID_ENTITY_GRAVITY_UPDATE"] = 1407] = "POST_GRID_ENTITY_GRAVITY_UPDATE";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function preGridEntityLockUpdate(lock: GridEntity): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_GRID_ENTITY_LOCK_UPDATE"] = 1408] = "PRE_GRID_ENTITY_LOCK_UPDATE";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function postGridEntityLockUpdate(lock: GridEntity): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_GRID_ENTITY_LOCK_UPDATE"] = 1409] = "POST_GRID_ENTITY_LOCK_UPDATE";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function preGridEntityPitUpdate(pit: GridEntityPit): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_GRID_ENTITY_PIT_UPDATE"] = 1410] = "PRE_GRID_ENTITY_PIT_UPDATE";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function postGridEntityPitUpdate(pit: GridEntityPit): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_GRID_ENTITY_PIT_UPDATE"] = 1411] = "POST_GRID_ENTITY_PIT_UPDATE";
    /**
     * This does not include the `EntityNPC` poops used by Tainted Blue Baby. Use
     * `ModCallback.PRE_NPC_UPDATE` if you wish to target them.
     *
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function preGridEntityPoopUpdate(poop): GridEntityPoop): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_GRID_ENTITY_POOP_UPDATE"] = 1412] = "PRE_GRID_ENTITY_POOP_UPDATE";
    /**
     * This does not include the `EntityNPC` poops used by Tainted Blue Baby. Use
     * `ModCallback.POST_NPC_UPDATE` if you wish to target them.
     *
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function postGridEntityPoopUpdate(poop): GridEntityPoop): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_GRID_ENTITY_POOP_UPDATE"] = 1413] = "POST_GRID_ENTITY_POOP_UPDATE";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function preGridEntityPressurePlateUpdate(
     *   pressurePlate: GridEntityPressurePlate
     * ): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_GRID_ENTITY_PRESSURE_PLATE_UPDATE"] = 1414] = "PRE_GRID_ENTITY_PRESSURE_PLATE_UPDATE";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function postGridEntityPressurePlateUpdate(pressurePlate: GridEntityPressurePlate): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_GRID_ENTITY_PRESSURE_PLATE_UPDATE"] = 1415] = "POST_GRID_ENTITY_PRESSURE_PLATE_UPDATE";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function preGridEntityRockUpdate(rock: GridEntityRock): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_GRID_ENTITY_ROCK_UPDATE"] = 1416] = "PRE_GRID_ENTITY_ROCK_UPDATE";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function postGridEntityRockUpdate(rock: GridEntityRock): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_GRID_ENTITY_ROCK_UPDATE"] = 1417] = "POST_GRID_ENTITY_ROCK_UPDATE";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function preGridEntitySpikesUpdate(spikes: GridEntitySpikes): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_GRID_ENTITY_SPIKES_UPDATE"] = 1418] = "PRE_GRID_ENTITY_SPIKES_UPDATE";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function postGridEntitySpikesUpdate(spikes: GridEntitySpikes): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_GRID_ENTITY_SPIKES_UPDATE"] = 1419] = "POST_GRID_ENTITY_SPIKES_UPDATE";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function preGridEntityStaircaseUpdate(staircase: GridEntity): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_GRID_ENTITY_STAIRCASE_UPDATE"] = 1420] = "PRE_GRID_ENTITY_STAIRCASE_UPDATE";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function postGridEntityStaircaseUpdate(staircase: GridEntity): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_GRID_ENTITY_STAIRCASE_UPDATE"] = 1421] = "POST_GRID_ENTITY_STAIRCASE_UPDATE";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function preGridEntityStatueUpdate(statue: GridEntity): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_GRID_ENTITY_STATUE_UPDATE"] = 1422] = "PRE_GRID_ENTITY_STATUE_UPDATE";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function postGridEntityStatueUpdate(statue: GridEntity): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_GRID_ENTITY_STATUE_UPDATE"] = 1423] = "POST_GRID_ENTITY_STATUE_UPDATE";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function preGridEntityTeleporterUpdate(
     *   teleporter: GridEntity
     * ): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_GRID_ENTITY_TELEPORTER_UPDATE"] = 1424] = "PRE_GRID_ENTITY_TELEPORTER_UPDATE";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function postGridEntityTeleporterUpdate(teleporter: GridEntity): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_GRID_ENTITY_TELEPORTER_UPDATE"] = 1425] = "POST_GRID_ENTITY_TELEPORTER_UPDATE";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function preGridEntityTrapdoorUpdate(trapdoor: GridEntity): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_GRID_ENTITY_TRAPDOOR_UPDATE"] = 1426] = "PRE_GRID_ENTITY_TRAPDOOR_UPDATE";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function postGridEntityTrapdoorUpdate(trapdoor: GridEntity): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_GRID_ENTITY_TRAPDOOR_UPDATE"] = 1427] = "POST_GRID_ENTITY_TRAPDOOR_UPDATE";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function preGridEntityWebUpdate(web: GridEntity): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_GRID_ENTITY_WEB_UPDATE"] = 1428] = "PRE_GRID_ENTITY_WEB_UPDATE";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function postGridEntityWebUpdate(web: GridEntity): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_GRID_ENTITY_WEB_UPDATE"] = 1429] = "POST_GRID_ENTITY_WEB_UPDATE";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function preGridEntityTNTUpdate(tnt: GridEntityTNT): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_GRID_ENTITY_TNT_UPDATE"] = 1430] = "PRE_GRID_ENTITY_TNT_UPDATE";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function postGridEntityTNTUpdate(tnt: GridEntityTNT): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_GRID_ENTITY_TNT_UPDATE"] = 1431] = "POST_GRID_ENTITY_TNT_UPDATE";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function preGridEntitySpikesRender(
     *   spikes: GridEntitySpikes,
     *   offset: Vector
     * ): Vector | boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_GRID_ENTITY_SPIKES_RENDER"] = 1432] = "PRE_GRID_ENTITY_SPIKES_RENDER";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function postGridEntitySpikesRender(spikes: GridEntitySpikes, offset: Vector): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_GRID_ENTITY_SPIKES_RENDER"] = 1433] = "POST_GRID_ENTITY_SPIKES_RENDER";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function preGridEntityWebRender(
     *   web: GridEntity,
     *   offset: Vector
     * ): Vector | boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_GRID_ENTITY_WEB_RENDER"] = 1434] = "PRE_GRID_ENTITY_WEB_RENDER";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function postGridEntityWebRender(spikes: GridEntity, offset: Vector): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_GRID_ENTITY_WEB_RENDER"] = 1435] = "POST_GRID_ENTITY_WEB_RENDER";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function preGridEntityTNTRender(
     *   tnt: GridEntityTNT,
     *   offset: Vector
     * ): Vector | boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_GRID_ENTITY_TNT_RENDER"] = 1436] = "PRE_GRID_ENTITY_TNT_RENDER";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function postGridEntityTNTRender(web: GridEntityTNT, offset: Vector): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_GRID_ENTITY_TNT_RENDER"] = 1437] = "POST_GRID_ENTITY_TNT_RENDER";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function preGridEntityTrapdoorRender(
     *   trapdoor: GridEntity,
     *   offset: Vector
     * ): Vector | boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_GRID_ENTITY_TRAPDOOR_RENDER"] = 1438] = "PRE_GRID_ENTITY_TRAPDOOR_RENDER";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function postGridEntityTrapdoorRender(trapdoor: GridEntity, offset: Vector): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_GRID_ENTITY_TRAPDOOR_RENDER"] = 1439] = "POST_GRID_ENTITY_TRAPDOOR_RENDER";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function preGridEntityStaircaseRender(
     *   staircase: GridEntity,
     *   offset: Vector
     * ): Vector | boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_GRID_ENTITY_STAIRCASE_RENDER"] = 1440] = "PRE_GRID_ENTITY_STAIRCASE_RENDER";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function postGridEntityStaircaseRender(staircase: GridEntity, offset: Vector): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_GRID_ENTITY_STAIRCASE_RENDER"] = 1441] = "POST_GRID_ENTITY_STAIRCASE_RENDER";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function preGridEntityDecorationRender(
     *   decoration: GridEntity,
     *   offset: Vector
     * ): Vector | boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_GRID_ENTITY_DECORATION_RENDER"] = 1444] = "PRE_GRID_ENTITY_DECORATION_RENDER";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function postGridEntityDecorationRender(
     *   decoration: GridEntity,
     *   offset: Vector
     * ): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_GRID_ENTITY_DECORATION_RENDER"] = 1445] = "POST_GRID_ENTITY_DECORATION_RENDER";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function preGridEntityDoorRender(
     *   door: GridEntityDoor,
     *   offset: Vector
     * ): Vector | boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_GRID_ENTITY_DOOR_RENDER"] = 1446] = "PRE_GRID_ENTITY_DOOR_RENDER";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function postGridEntityDoorRender(door: GridEntityDoor, offset: Vector): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_GRID_ENTITY_DOOR_RENDER"] = 1447] = "POST_GRID_ENTITY_DOOR_RENDER";
    /**
     * Fire grid entities are largely unused and in most cases you'll want to target the `EntityNPC`
     * fireplaces with `ModCallback.PRE_NPC_RENDER`.
     *
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function preGridEntityFireRender(
     *   fire: GridEntity,
     *   offset: Vector
     * ): Vector | boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_GRID_ENTITY_FIRE_RENDER"] = 1448] = "PRE_GRID_ENTITY_FIRE_RENDER";
    /**
     * Fire grid entities are largely unused and in most cases you'll want to target the `EntityNPC`
     * fireplaces with `ModCallback.POST_NPC_RENDER`.
     *
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function postGridEntityFireRender(fire: GridEntity, offset: Vector): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_GRID_ENTITY_FIRE_RENDER"] = 1449] = "POST_GRID_ENTITY_FIRE_RENDER";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function preGridEntityLockRender(
     *   lock: GridEntity,
     *   offset: Vector
     * ): Vector | boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_GRID_ENTITY_LOCK_RENDER"] = 1450] = "PRE_GRID_ENTITY_LOCK_RENDER";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function postGridEntityLockRender(lock: GridEntity, offset: Vector): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_GRID_ENTITY_LOCK_RENDER"] = 1451] = "POST_GRID_ENTITY_LOCK_RENDER";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function preGridEntityTeleporterRender(
     *   teleporter: GridEntity,
     *   offset: Vector
     * ): Vector | boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_GRID_ENTITY_TELEPORTER_RENDER"] = 1452] = "PRE_GRID_ENTITY_TELEPORTER_RENDER";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function postGridEntityTeleporterRender(
     *   teleporter: GridEntity,
     *   offset: Vector
     * ): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_GRID_ENTITY_TELEPORTER_RENDER"] = 1453] = "POST_GRID_ENTITY_TELEPORTER_RENDER";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function preGridEntityPitRender(
     *   pit: GridEntityPit,
     *   offset: Vector
     * ): Vector | boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_GRID_ENTITY_PIT_RENDER"] = 1454] = "PRE_GRID_ENTITY_PIT_RENDER";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function postGridEntityPitRender(pit: GridEntityPit, offset: Vector): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_GRID_ENTITY_PIT_RENDER"] = 1455] = "POST_GRID_ENTITY_PIT_RENDER";
    /**
     * This does not include the `EntityNPC` poops used by Tainted Blue Baby. Use
     * `ModCallback.PRE_NPC_RENDER` if you wish to target them.
     *
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function preGridEntityPoopRender(
     *   poop: GridEntityPoop,
     *   offset: Vector
     * ): Vector | boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_GRID_ENTITY_POOP_RENDER"] = 1456] = "PRE_GRID_ENTITY_POOP_RENDER";
    /**
     * This does not include the `EntityNPC` poops used by Tainted Blue Baby. Use
     * `ModCallback.POST_NPC_RENDER` if you wish to target them.
     *
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function postGridEntityPoopRender(poop: GridEntityPoop, offset: Vector): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POOP_GRID_ENTITY_POOP_RENDER"] = 1457] = "POOP_GRID_ENTITY_POOP_RENDER";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityRock` provided.
     *
     * ```ts
     * function preGridEntityRockRender(
     *   rock: GridEntityRock,
     *   offset: Vector
     * ): Vector | boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_GRID_ENTITY_ROCK_RENDER"] = 1458] = "PRE_GRID_ENTITY_ROCK_RENDER";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function postGridEntityRockRender(lock: GridEntityRock, offset: Vector): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_GRID_ENTITY_ROCK_RENDER"] = 1459] = "POST_GRID_ENTITY_ROCK_RENDER";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function preGridEntityPressurePlateRender(
     *   pressurePlate: GridEntityPressurePlate,
     *   offset: Vector
     * ): Vector | boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_GRID_ENTITY_PRESSURE_PLATE_RENDER"] = 1460] = "PRE_GRID_ENTITY_PRESSURE_PLATE_RENDER";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function postGridEntityPressurePlateRender(
     *   pressurePlate: GridEntityPressurePlate,
     *   offset: Vector
     * ): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_GRID_ENTITY_PRESSURE_PLATE_RENDER"] = 1461] = "POST_GRID_ENTITY_PRESSURE_PLATE_RENDER";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function preGridEntityWallRender(
     *   wall: GridEntity,
     *   offset: Vector
     * ): Vector | boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_GRID_ENTITY_WALL_RENDER"] = 1462] = "PRE_GRID_ENTITY_WALL_RENDER";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `GridEntityType` provided.
     *
     * ```ts
     * function postGridEntityWallRender(wall: GridEntity, offset: Vector): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_GRID_ENTITY_WALL_RENDER"] = 1463] = "POST_GRID_ENTITY_WALL_RENDER";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `InputHook` provided.
     *
     * ```ts
     * function menuInputAction(
     *   entity: Entity | undefined,
     *   hook: InputHook,
     *   buttonAction: ButtonAction
     * ): boolean | float | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["MENU_INPUT_ACTION"] = 1464] = "MENU_INPUT_ACTION";
    /**
     * This callback cannot be filtered.
     *
     * ```ts
     * function postSaveSlotLoad(saveSlot: int, isSlotSelected: boolean, rawSlot: int): void {}
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_SAVE_SLOT_LOAD"] = 1470] = "POST_SAVE_SLOT_LOAD";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `Challenge` provided.
     *
     * ```ts
     * function preChallengeDone(challenge: Challenge, player: EntityPlayer): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_CHALLENGE_DONE"] = 1471] = "PRE_CHALLENGE_DONE";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `Challenge` provided.
     *
     * ```ts
     * function postChallengeDone(challenge: Challenge, player: EntityPlayer): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_CHALLENGE_DONE"] = 1472] = "POST_CHALLENGE_DONE";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `ConceptionFamiliarFlag` provided.
     *
     * ```ts
     * function prePlayerGiveBirthCambion(
     *   player: EntitYPlayer,
     *   flag: ConceptionFamiliarFlag
     * ): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_PLAYER_GIVE_BIRTH_CAMBION"] = 1474] = "PRE_PLAYER_GIVE_BIRTH_CAMBION";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `ConceptionFamiliarFlag` provided.
     *
     * ```ts
     * function prePlayerGiveBirthImmaculate(
     *   player: EntitYPlayer,
     *   flag: ConceptionFamiliarFlag
     * ): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_PLAYER_GIVE_BIRTH_IMMACULATE"] = 1475] = "PRE_PLAYER_GIVE_BIRTH_IMMACULATE";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `PlayerType` provided.
     *
     * ```ts
     * function prePlayerRevive(player: EntityPlayer): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_PLAYER_REVIVE"] = 1481] = "PRE_PLAYER_REVIVE";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `PlayerType` provided.
     *
     * ```ts
     * function postPlayerRevive(player: EntityPlayer): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_PLAYER_REVIVE"] = 1482] = "POST_PLAYER_REVIVE";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function preFortuneDisplay(): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_FORTUNE_DISPLAY"] = 1483] = "PRE_FORTUNE_DISPLAY";
    /**
     * You cannot filter this callback.
     *
     * ```ts
     * function preItemTextDisplay(
     *   title: string,
     *   subtitle: string,
     *   isSticky: boolean,
     *   isCurseDisplay: boolean
     * ): boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_ITEM_TEXT_DISPLAY"] = 1484] = "PRE_ITEM_TEXT_DISPLAY";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `EntityType` provided.
     *
     * ```ts
     * function preEntitySetColor(
     *   entity: Entity,
     *   color: Color,
     *   duration: int,
     *   priority: int,
     *   fadeOut: boolean,
     *   share: boolean
     * ): Color | boolean | undefined {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["PRE_ENTITY_SET_COLOR"] = 1486] = "PRE_ENTITY_SET_COLOR";
    /**
     * When registering this callback with the `Mod.AddCallback` method:
     * - You can provide an optional third argument that will make the callback only fire if it
     *   matches the `EntityType` provided.
     *
     * ```ts
     * function postEntitySetColor(
     *   entity: Entity,
     *   color: Color,
     *   duration: int,
     *   priority: int,
     *   fadeOut: boolean,
     *   share: boolean
     * ): void {}
     * ```
     */
    ModCallbackRepentogon[ModCallbackRepentogon["POST_ENTITY_SET_COLOR"] = 1487] = "POST_ENTITY_SET_COLOR";
})(ModCallbackRepentogon || (exports.ModCallbackRepentogon = ModCallbackRepentogon = {}));
