"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DebugFlagZero = exports.DebugFlag = void 0;
/**
 * This is represented as an object instead of an enum due to limitations with TypeScript enums. (We
 * want this type to be a child of the `BitFlag` type.)
 *
 * This enum is for REPENTOGON, an exe-hack which expands the modding API.
 *
 * @see https://repentogon.com/
 * @enum
 * @notExported
 * @rename DebugFlag
 */
const DebugFlagInternal = {
    ENTITY_POSITIONS: 1 << 0,
    GRID: 1 << 1,
    INFINITE_HP: 1 << 2,
    HIGH_DAMAGE: 1 << 3,
    ROOM_INFO: 1 << 4,
    HIT_SPHERES: 1 << 5,
    DAMAGE_VALUES: 1 << 6,
    INFINITE_ITEM_CHARGES: 1 << 7,
    HIGH_LUCK: 1 << 8,
    QUICK_KILL: 1 << 9,
    GRID_INFO: 1 << 10,
    PLAYER_ITEM_INFO: 1 << 11,
    GRID_COLLISION_POINTS: 1 << 12,
    LUA_MEMORY_USAGE: 1 << 13,
};
exports.DebugFlag = DebugFlagInternal;
exports.DebugFlagZero = 0;
